<div class="container">
    <div class="row">
        <div class="col-12">
            <button mat-mini-fab color="primary" (click)="back()">
                <mat-icon>arrow_back</mat-icon>
            </button>
        </div>
    </div>

    <div class="row" *ngIf="loading">
        <div class="col-12">
            <mat-progress-spinner color="primary" mode="indeterminate" diameter="48"></mat-progress-spinner>
        </div>
    </div>

    <div class="row" *ngIf="noResult">
        <div class="col-12">
            <alert-system type="warn" message="Nenhum resultado encontrado, retone à listagem de filmes."></alert-system>
        </div>
    </div>
</div>
<div class="poster" *ngIf="movie">
    <h1>{{movie.Title}}</h1>
    <img [src]="movie.Poster" [alt]="movie.Title" [src-fallback]="'./assets/images/poster-fallback.jpg'">
</div>
<div class="container">
    <div class="row" *ngIf="movie">
        <div class="col-12">
            <h2>Detalhes</h2>
            <p><strong>Ano: </strong>{{movie.Year}}</p>
            <p><strong>Lançamento:</strong> {{movie.Released}}</p>
            <p><strong>Duração: </strong>{{movie.Runtime}}</p>
            <p><strong>Tipo: </strong>
                <span [ngSwitch]="movie.Type">
                    <span *ngSwitchCase="'movie'">Filme</span>
                    <span *ngSwitchCase="'serie'">Série</span>
                    <span *ngSwitchCase="'episode'">Episódio</span>
                </span>
            </p>
            <p><strong>Gênero: </strong>{{movie.Genre}}</p>
            <p><strong>Diretor: </strong>{{movie.Director}}</p>
            <p><strong>Escritores: </strong>{{movie.Writer}}</p>
            <p><strong>Atores: </strong>{{movie.Actors}}</p>
            <p><strong>Produção: </strong>{{movie.Production}}</p>
            <p><strong>Enredo: </strong>{{movie.Plot}}</p>
            <p><strong>Idioma: </strong>{{movie.Language}}</p>
            <p><strong>País: </strong>{{movie.Country}}</p>
            <p><strong>Prêmios: </strong>{{movie.Awards}}</p>
            <p><strong>Avaliações: </strong> <span class="rating" *ngFor="let rating of movie.Ratings">{{rating.Source}}: {{rating.Value}}</span><p>
            <p><strong>Meta de ponturação: </strong>{{movie.Metascore}}</p>
            <p><strong>Votos: </strong>{{movie.imdbVotes}}</p>
            <p><strong>Avaliações: </strong>{{movie.imdbVotes}}</p>
            <p><strong>Bilheteria: </strong>{{movie.BoxOffice}}</p>
            <p><strong>DVD: </strong>{{movie.DVD}}</p>
            <p><strong>Website: </strong>{{movie.Website}}</p>
        </div>
    </div>
</div>